import java.awt.Dimension;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.RepaintManager;
import javax.swing.SwingUtilities;

public class WaftMenuBarSample {

    public WaftMenuBarSample() {
        JFrame frame = new JFrame("Timing Sample");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        RepaintManager.setCurrentManager(new FullRepaintManager());
        
        JMenuBar menuBar = new WaftMenuBar();
        JMenu fileMenu = new JMenu("File");
        fileMenu.add(new JMenuItem("Open"));
        fileMenu.add(new JMenuItem("Save"));
        menuBar.add(fileMenu);
        
        JMenu editMenu = new JMenu("Edit");
        editMenu.add(new JMenuItem("Cut"));
        editMenu.add(new JMenuItem("Copy"));
        editMenu.add(new JMenuItem("Paste"));
        menuBar.add(editMenu);

        frame.setJMenuBar(menuBar);

        frame.add(new JLabel("ABCDEFG"));

        frame.setSize(new Dimension(600, 300));
        frame.setVisible(true);
    }

    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
                public void run() {
                    new WaftMenuBarSample();
                }
            });
    }
}
